# порт http сервера для публикации метрик http://localhost:port/metrics
server:
  port: 8746

spring:
  # профили логирования, console - вывод в консоль, file - вывод в файл
  profiles:
    active: file
  datasource:
    # подключение к БД (урл, пользователь, пароль)
    url: jdbc:postgresql://localhost:5432/semdb?currentSchema=sem
    username: pg_user
    password: pg_password
    driver-class-name: org.postgresql.Driver
    hikari:
      maximum-pool-size: 100
      connection-timeout: 120000
      idle-timeout: 600000
      max-lifetime: 600000
  jpa:
    database: DEFAULT
    hibernate:
      ddl-auto: validate
    generate-ddl: false
    show-sql: false
  flyway:
    table: schema_version

# уровни логирования модулей
logging:
  level:
    root: INFO
    ru.infsys.sem.engine: INFO

# хранилище sem-next
store:
  # тип хранилища (POSTGRES, CASSANDRA)
  type: CASSANDRA
  # настройки, специфичнае для хранилища CASSANDRA
  cassandra:
    # Ноды кассандры для подключения, одна или более. Формат host1:port1,host2:port2,.... Пример 192.168.1.14:9042.
    nodes: 192.168.2.106:9042, 192.168.2.107:9042,192.168.2.108:9042
    # Имя датацентра кассандры (см nodetool status)
    datacenter: datacenter1
    # имя пользователя для авторизованного доступа
    username: user_cassandra
    # пароль пользователя для авторизованного доступа
    password: psw_cassandra


# настройки подключения redis (для подключения к БД с номером 3 используется суффикс с номером, пример redis://192.168.1.13:6379/3)
redis:
  url: redis://localhost:6379
  minIdle: 0
  maxIdle: 1
  maxTotal: 20

artemis:
  # параметры подключения к артемис
  url: tcp://localhost:61616
  user: artemis
  password: <password>
  # количество потоков в пуле для отправки JMS-сообщений
  senderThreads: 16
  # настройки очередей
  queue:
    event:
      destination: jms.queue.Event
      concurrency: 8-8
    eventimport:
      destination: jms.queue.EventImport
      concurrency: 1-8
    eventexport:
      destination: jms.topic.EventExport
      concurrency: 1-8
    measure:
      destination: jms.queue.Measure
      concurrency: 16-16
    calcparam:
      destination: jms.queue.CalcParam
      concurrency: 8-8
    paramchange:
      # несмотря на то что в artemis он может быть описан с именем jms.queue.ParamChange здесь мы указываем как топик
      destination: jms.topic.ParamChange
      concurrency: 8-8
    ruleexec:
      destination: jms.queue.RuleExec
      concurrency: 16-16
    ruleaction:
      destination: jms.queue.RuleAction
      concurrency: 16-16
    actioncondition:
      destination: jms.queue.ActionCondition
      concurrency: 16-16
    globalruleexec:
      destination: jms.queue.GlobalRuleExec
      concurrency: 8-8
    widgetevent:
      destination: jms.topic.WidgetEvent
      concurrency: 8-8
    nbiotcommand:
      destination: jms.queue.NbiotCommand
      concurrency: 2-2
    command:
      destination: jms.queue.Command
      concurrency: 4-4
    collector:
      destination: jms.queue.Collector
      concurrency: 4-4
    setvalue:
      destination: jms.queue.SetValue
      concurrency: 4-4
    notify:
      destination: jms.queue.Notify
      concurrency: 4-4
    aggregation:
      destination: jms.queue.Aggregation
      concurrency: 8-8
    hierarchyexport:
      destination: jms.queue.HierarchyExport
      concurrency: 1-8
    hierarchymetadata:
      destination: jms.topic.HierarchyMetaData
    hierarchymeasure:
      destination: jms.topic.HierarchyMeasure
    hierarchyevent:
      destination: jms.topic.HierarchyEvent
    hierarchycommand:
      # для того чтобы принимать сообщения отправляемые в multicast очередь от webservices и она синхронизировалась
      # по федерации очередь должна начинаться jms.topic (так anycast или multicast определяется в EE)
      destination: jms.topic.HierarchyCommand
    periodic:
      destination: jms.queue.Periodic


aggregation:
  # общее количество потоков применяемых для вычисления агрегации
  threads: 64

# параметры лицензирования Inspark
license:
  # Алгоритм хэширования ключа лицензии (если использовалась версия openssl < 1.1.0 - MD5, >= 1.1.0
  # по умолчанию SHA-256, но можно и задать и другой алгоритм в ключе -md даже старый MD5)
  hash-algorithm: SHA-256
  # Пароль лицензии
  key: XXXXXXXXXXXXXXX
